Package org.pushingpixels.flamingo.api.ribbon.resize

# Class CoreRibbonResizeSequencingPolicies

java.lang.Object
org.pushingpixels.flamingo.api.ribbon.resize.CoreRibbonResizeSequencingPolicies

public class CoreRibbonResizeSequencingPolicies extends Object
The core resize sequencing policies. Provides the following:

- `CoreRibbonResizeSequencingPolicies.RoundRobin` under which the ribbon bands are being collapsed in a cyclic fashion, distributing the collapsed pixels between the different bands.
- `CoreRibbonResizeSequencingPolicies.CollapseFromLast` under which the ribbon bands are being collapsed from right to left.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CoreRibbonResizeSequencingPolicies.CollapseFromLast`
The collapse from last resize sequencing policy.
`static class`
`CoreRibbonResizeSequencingPolicies.RoundRobin`
The round robin resize sequencing policy.

## Constructor Summary

Constructors
Constructor
Description
`CoreRibbonResizeSequencingPolicies()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CoreRibbonResizeSequencingPolicies

public CoreRibbonResizeSequencingPolicies()